summaryrefslogtreecommitdiff
path: root/util/ci/lint.sh
diff options
context:
space:
mode:
authorrubenwardy <rw@rubenwardy.com>2021-01-23 23:48:22 +0000
committersfan5 <sfan5@live.de>2021-03-01 12:12:52 +0100
commitccdaf5de54108990fcdeb0b0ff4a4fc4cd998522 (patch)
treecfb2eb5b560bcdc955df7e618e25b828924ea927 /util/ci/lint.sh
parentb390bd2ea5c40cb96af1699a6a18f59dcdb1495b (diff)
downloadminetest-ccdaf5de54108990fcdeb0b0ff4a4fc4cd998522.tar.gz
minetest-ccdaf5de54108990fcdeb0b0ff4a4fc4cd998522.tar.bz2
minetest-ccdaf5de54108990fcdeb0b0ff4a4fc4cd998522.zip
Disable clang-format, clean up scripts
Diffstat (limited to 'util/ci/lint.sh')
-rwxr-xr-xutil/ci/lint.sh43
1 files changed, 0 insertions, 43 deletions
diff --git a/util/ci/lint.sh b/util/ci/lint.sh
deleted file mode 100755
index 395445ca7..000000000
--- a/util/ci/lint.sh
+++ /dev/null
@@ -1,43 +0,0 @@
-#! /bin/bash
-function perform_lint() {
- echo "Performing LINT..."
- if [ -z "${CLANG_FORMAT}" ]; then
- CLANG_FORMAT=clang-format
- fi
- echo "LINT: Using binary $CLANG_FORMAT"
- CLANG_FORMAT_WHITELIST="util/ci/clang-format-whitelist.txt"
-
- files_to_lint="$(find src/ -name '*.cpp' -or -name '*.h')"
-
- local errorcount=0
- local fail=0
- for f in ${files_to_lint}; do
- d=$(diff -u "$f" <(${CLANG_FORMAT} "$f") || true)
-
- if ! [ -z "$d" ]; then
- whitelisted=$(awk '$1 == "'$f'" { print 1 }' "$CLANG_FORMAT_WHITELIST")
-
- # If file is not whitelisted, mark a failure
- if [ -z "${whitelisted}" ]; then
- errorcount=$((errorcount+1))
-
- printf "The file %s is not compliant with the coding style" "$f"
- if [ ${errorcount} -gt 50 ]; then
- printf "\nToo many errors encountered previously, this diff is hidden.\n"
- else
- printf ":\n%s\n" "$d"
- fi
-
- fail=1
- fi
- fi
- done
-
- if [ "$fail" = 1 ]; then
- echo "LINT reports failure."
- exit 1
- fi
-
- echo "LINT OK"
-}
-